Get user settings
GET
/user/settings
const url = 'https://gitea.example.com/api/v1/user/settings';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/user/settings \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”UserSettings
Media typeapplication/json
Array<object>
UserSettings represents user settings
object
description
string
diff_view_style
string
full_name
string
hide_activity
boolean
hide_email
Privacy
boolean
language
string
location
string
theme
string
website
string
Examplegenerated
[ { "description": "example", "diff_view_style": "example", "full_name": "example", "hide_activity": true, "hide_email": true, "language": "example", "location": "example", "theme": "example", "website": "example" }]